:root {
  --color-link: hsl(0, 0%, 21%);
  --color-loader: hsl(0, 0%, 86%);
  --color-link-blue: hsl(212, 97%, 43%);

  --color-gray80: hsl(0, 0%, 80%);
  --color-gray50: hsl(0, 0%, 50%);

  --bg-color: hsl(0, 0%, 100%);
  --bg-color-code: hsl(0, 0%, 94%);
  --bg-color-footer: hsl(0, 0%, 96%);

  --sponsor-bg: hsl(210, 25%, 98%);
  --sponsor-color: hsl(0, 0%, 42%);

  --header-shadow: hsl(0, 0%, 92%);

  @media (prefers-color-scheme: dark) {
    --bg-color: hsl(0, 0%, 0%);
    --color-link: hsl(0, 0%, 79%);
    --color-loader: hsl(0, 0%, 14%);
    --color-link-blue: hsl(212, 97%, 67%);

    --color-gray80: hsl(0, 0%, 20%);
    --color-gray50: hsl(0, 0%, 50%);

    --bg-color-code: hsl(0, 0%, 6%);
    --bg-color-footer: hsl(0, 0%, 4%);

    --sponsor-bg: hsl(210, 25%, 2%);
    --sponsor-color: hsl(0, 0%, 58%);

    --header-shadow: hsl(0, 0%, 8%);
  }
}

/* logo based on color theme */
@media not (prefers-color-scheme: dark) {
  .logo.dark {
    display: none;
  }
}
@media (prefers-color-scheme: dark) {
  .logo.light {
    display: none;
  }
}

html {
  scroll-behavior: smooth;
  background-color: var(--bg-color);
}

html,
body,
footer,
a {
  margin: 0;
  padding: 0;
  font-family:
    BlinkMacSystemFont,
    -apple-system,
    'Segoe UI',
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    'Fira Sans',
    'Droid Sans',
    'Helvetica Neue',
    Helvetica,
    Arial,
    sans-serif;
  color: var(--color-link);
}

body {
  overflow-x: hidden;
}

section,
footer {
  padding: 2em 3em;
}

header {
  padding: 0em 1em;
  -webkit-box-shadow: 0px 10px 10px 0px var(--header-shadow);
  -moz-box-shadow: 0px 10px 10px 0px var(--header-shadow);
  box-shadow: 0px 10px 10px 0px var(--header-shadow);
}

section {
  min-height: calc(100vh - 280px);
}

footer {
  background-color: var(--bg-color-footer);
  min-height: 5em;
  text-align: center;
}

.footer-buttons {
  margin: 0 auto;
  margin-top: 16px;
  /* max-width: 435px; */
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.footer-buttons a {
  margin: 4px 8px;
}

.container {
  max-width: 1024px;
  margin: 0 auto;
}

#logo {
  margin-right: 16px;
}

#logo img {
  max-width: 250px;
}

@media only screen and (max-width: 640px) {
  #logo img {
    max-width: 125px;
    position: relative;
    top: 2px;
  }
}

.navbar {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.navbar-items {
  margin: auto 0px;
  padding: 0px;
}

.navbar-items a {
  color: unset;
  text-decoration: none;
}

.navbar-items a:hover {
  color: unset;
  text-decoration: none;
}

.navbar-item {
  display: inline-block;
  margin: 0px;
  padding: 8px;
  font-size: 18px;
}

.navbar-item:hover {
  color: var(--color-link-blue);
}

@media only screen and (max-width: 640px) {
  .navbar-item {
    padding: 8px 4px;
    font-size: 16px;
  }
}

h1 {
  font-size: 32px;
}

h1,
h2,
h3,
h4,
p,
ol,
ul {
  margin-top: 0.8em;
  margin-bottom: 1.2em;
}

code {
  background-color: var(--bg-color-code);
  font-size: 16px;
  padding: 2px 4px !important;
}
code.hljs {
  border: 1px var(--color-gray80) solid;
  border-radius: 4px;
  padding: 16px !important;
}

a {
  text-decoration: none;
  color: var(--color-link-blue);
}
a:hover {
  text-decoration: underline;
}
footer a {
  color: unset;
}

li p {
  margin: 0;
}

.content {
  line-height: 1.4;
}

.content p,
.content li {
  font-size: 18px;
}

ul.examples-list {
  list-style-type: unset;
  padding-left: 32px;
}

ul.examples-list li {
  line-height: 2.2;
}

ul.examples-list li a {
  color: unset;
}

@media only screen and (max-width: 768px) {
  section,
  footer {
    padding: 2em 1em;
  }
}

.benefits {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin-left: -16px;
  margin-right: -16px;
}

.benefit {
  max-width: 320px;
  padding: 16px;
}

.benefit h3 {
  margin: 12px 0px;
}

.benefit p {
  padding: 0px;
  margin: 0px;
}

@media only screen and (max-width: 768px) {
  .benefits {
    justify-content: space-between;
  }
  .benefit {
    max-width: unset;
    padding-top: 8px;
    padding-bottom: 8px;
  }
}

/** Loader */
.loader,
.loader:before,
.loader:after {
  z-index: 1;
  background: var(--color-loader);
  -webkit-animation: load1 1s infinite ease-in-out;
  animation: load1 1s infinite ease-in-out;
  width: 1em;
  height: 4em;
}
.loader {
  filter: blur(1px);
  color: var(--color-loader);
  text-indent: -9999em;
  /* margin: 88px auto; */
  margin: 150px auto;
  position: relative;
  font-size: 11px;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}
.loader:before,
.loader:after {
  position: absolute;
  top: 0;
  content: '';
}
.loader:before {
  left: -1.5em;
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}
.loader:after {
  left: 1.5em;
}
@-webkit-keyframes load1 {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }
  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}
@keyframes load1 {
  0%,
  80%,
  100% {
    box-shadow: 0 0;
    height: 4em;
  }
  40% {
    box-shadow: 0 -2em;
    height: 5em;
  }
}

/** sponsor section */
#sponsor-section {
  text-align: center;
  padding: 16px;
  color: var(--sponsor-color);
}

#sponsor-section a {
  color: var(--sponsor-color);
  text-decoration: underline;
}

/** TABLE */
table {
  border-collapse: collapse;
  text-align: left;
}
table th,
table td {
  padding: 8px 12px;
  border: 1px #3e4763 solid;
}
